# $Revision: 1.2 $, $Date: 2002/05/04 12:11:59 $
Summary:	Realtime plugin for remastering mp3 sound
Summary(pl):	Wtyczka poprawiajca jako odtwarzania plikw mp3
Name:		xmms-general-crystality
Version:	0.92
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://fanthom.math.put.poznan.pl/~gyver/crystality/crystality-plugin-%{version}.tar.gz
Patch0:		%{name}-Makefile.patch
URL:            http://fanthom.math.put.poznan.pl/~gyver/crystality/
BuildRequires:	xmms-devel >= 1.2.0
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	crystality-plugin

%define         _prefix         /usr/X11R6

%description
This plugin does mainly four things: 
- adds some sounds in very high frequency range,
- adds some even harmonic distortions,
- adds simple, but nice 3D echo,
- extends stereo.

%description -l pl
Ta wtyczka wykonuje spenia gwnie cztery zadania:
- dodaje dwiki w bardzo wysokim zakresie czstotliwoci,
- dodaje pewne harmoniczne znieksztacenia,
- dodaje prosty efekt echa 3D,
- rozszerzone stereo.

%prep
%setup -q -n crystality-plugin-%{version}
%patch0 -p1

%build
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/xmms/General}

#%{__make} install \
#	XMMS_PLUGIN=$RPM_BUILD_ROOT%{_libdir}/xmms/General
#	STDIO_PLUGIN=$RPM_BUILD_ROOT%{__bindir}/crystality-stdio
install libcrystality.so $RPM_BUILD_ROOT%{_libdir}/xmms/General/libcrystality.so
install crystality-stdio $RPM_BUILD_ROOT%{_bindir}/crystality-stdio

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{_libdir}/xmms/General/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-general-crystality.spec,v $
Revision 1.2  2002/05/04 12:11:59  kloczek
- added Makefile patch for copile crystality plugin with %%{rpmcflags} and using
  proper compilator.

Revision 1.1  2002/05/04 12:05:46  kloczek
- renamed: crystality-plugin -> xmms-general-crystality.

